VSTGUI: IStyleProvider Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
IStyleProvider Struct Referenceabstract
New classes » Version 4.15

Extension to ITextEditorController. More...

`#include <ctexteditor.h>`

## Classes
struct | Style

## Public Types
using | IEditorExt = TextEditorColorization::IEditorExt
using | Styles = std::vector<Style>

## Public Member Functions
virtual void | beginDraw (const IEditorExt &editor)=0
| Notification that drawing begins.
virtual Styles | getStyles (const IEditorExt &editor, size_t beginOffset, size_t length)=0
| Get the styles of the text.
virtual void | endDraw (const IEditorExt &editor)=0
| Notification that drawing has ended.

## Detailed Description

Extension to ITextEditorController.

## Member Typedef Documentation

## ◆ IEditorExt

using IEditorExt = TextEditorColorization::IEditorExt

## ◆ Styles

using Styles = std::vector<Style>

## Member Function Documentation

## ◆ beginDraw()

virtual void beginDraw | ( | const IEditorExt & | editor | ) |
| pure virtual

Notification that drawing begins.

Parameters

  editor | reference to the editor

## ◆ endDraw()

virtual void endDraw | ( | const IEditorExt & | editor | ) |
| pure virtual

Notification that drawing has ended.

Parameters

  editor | reference to the editor

## ◆ getStyles()

virtual Styles getStyles | ( | const IEditorExt & | editor,
|  | size_t | beginOffset,
|  | size_t | length )
| pure virtual

Get the styles of the text.

The text editor calls this while drawing to get the styles for the text range. The returned styles must be orded from front to back. If ranges are missing in the styles, they are rendered with the default style.

Parameters

  editor | reference to the editor
  beginOffset | offset into the text buffer in number of characters
  length | number of characters

Returns
  vector of styles for the range

The documentation for this struct was generated from the following file:

- ctexteditor.h